## pydance 1.1.0

=== po/Makefile ===
#Inspired from Powertop po/Makefile

SRC=$(wildcard *.po)
OBJ= $(SRC:.po=.mo)
INST= $(SRC:.po=.inst)
GENERATE= $(SRC:.po=.generate)

translations: $(OBJ)

%.mo: %.po
	msgfmt -o $@  $<

clean:
	rm -f *.mo *~

install: $(OBJ) $(INST)

generate: $(OBJ) $(GENERATE)

%.inst: %.mo
	mkdir -p $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/
	cp -f $< $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/pydance.mo

# Just create and generate the files
%.generate: %.mo
	mkdir -p ../mo/$*/LC_MESSAGES/
	cp -f $< ../mo/$*/LC_MESSAGES/pydance.mo

## pydance 1.0.3-1

=== debian/changelog ===
pydance (1.0.3-1) unstable; urgency=low

  * New usptream release.
  * Flat is signified by 1 instead of 0. (Closes: #295907)

 -- Joe Wreschnig <piman@debian.org>  Mon, 04 Apr 2005 16:13:00 -0500

pydance (1.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Joe Wreschnig <piman@debian.org>  Tue, 06 Jul 2004 21:53:32 -0500

pydance (1.0.1-1) unstable; urgency=low

  * Generate Debian icon from icon.png.
  * Remove unused binary-arch target from rules file.
  * Switch from DH_COMPAT to debian/compat.
  * Quote section and needs in the menu file.

 -- Joe Wreschnig <piman@debian.org>  Fri, 12 Mar 2004 00:21:17 -0600

pydance (1.0.0-2) unstable; urgency=low

  * Add a Build-Depends on zip. (Closes: #236424)
  * Change the Debian menu icon to 32x32.

 -- Joe Wreschnig <piman@debian.org>  Mon, 08 Mar 2004 16:43:23 -0600

pydance (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Use the .zip installation rather than individual .py files.
  * Install the .desktop file and the icon.
  * Convert the icon to XPM format (debian/pydance.xpm) for debian/menu.

 -- Joe Wreschnig <piman@debian.org>  Sun, 29 Feb 2004 23:26:32 -0600

pydance (0.9.1-1) unstable; urgency=low

  * New upstream version.
  * Don't include docs/man/ in the docs/ install.

 -- Joe Wreschnig <piman@debian.org>  Fri, 13 Feb 2004 01:11:50 -0600

pydance (0.9.0-1) unstable; urgency=low

  * New upstream version.
    - Fixes incorrect selector display. (Closes: #222502)
  * Fixes the bug in the Groove Gauge display in 0.9.0 upstream.

 -- Joe Wreschnig <piman@debian.org>  Wed, 04 Feb 2004 00:42:28 -0600

pydance (0.8.4-1) unstable; urgency=low

  * New upstream version.

 -- Joe Wreschnig <piman@debian.org>  Mon, 12 Jan 2004 15:33:12 -0600

pydance (0.8.3-1) unstable; urgency=low

  * New upstream version.
  * Remove possibly-generated .pyc files on package removal.

 -- Joe Wreschnig <piman@debian.org>  Sun, 04 Jan 2004 11:04:03 -0600

pydance (0.8.2-1) unstable; urgency=low

  * Remove any mention of the pyddr package from debian/control.
  * Remove notes about mrt theme and MAD/AO from README.Debian.

 -- Joe Wreschnig <piman@debian.org>  Sun, 16 Nov 2003 21:44:42 -0600

pydance (0.8.1-2) unstable; urgency=low

  * Version conflict with pyddr. (Closes: #212845)
  * Update Standards-Version.
  * Remove game list from the short description.

 -- Joe Wreschnig <piman@debian.org>  Sun, 28 Sep 2003 03:10:48 -0500

pydance (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Joe Wreschnig <piman@debian.org>  Fri, 12 Sep 2003 20:40:30 -0500

pydance (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Add the KSF format description to the installed documentation.
  * Remove fileparsers.txt from the same.
  * Update the description to reflect the new game support.

 -- Joe Wreschnig <piman@debian.org>  Thu, 21 Aug 2003 23:58:02 -0500

pydance (0.7.4-3) unstable; urgency=low

  * Remove call to dh_python to remove B-D on python.
  * Bypass the pydance installation script to remove the BD on pygame.
  * Because of the above, don't compile any bytecode. (Closes: #205283)

 -- Joe Wreschnig <piman@debian.org>  Sat, 16 Aug 2003 22:12:47 -0500

pydance (0.7.4-2) unstable; urgency=low

  * Relax dependencies from ${python:Depends} to 'python'.
  * Fix crash with hold arrows + stops (the same fix is in upstream CVS).

 -- Joe Wreschnig <piman@debian.org>  Wed, 13 Aug 2003 12:34:30 -0500

pydance (0.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Joe Wreschnig <piman@debian.org>  Mon, 28 Jul 2003 00:19:11 -0500

pydance (0.7.2-1) unstable; urgency=low

  * GPG key recovered.
  * This is based on the second 0.7.2 tarball released.
  * Bump Standards-Version.

 -- Joe Wreschnig <piman@debian.org>  Tue, 15 Jul 2003 14:48:55 -0500

pydance (0.7.2-0.1) unstable; urgency=low

  * New upstream release.
  * Rename.
  * This is not being uploaded to the archive because my GPG key
    is unavailable.

 -- Joe Wreschnig <piman@debian.org>  Mon, 14 Jul 2003 01:19:42 -0500

pyddr (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Rewrite description to mention .dance and not .step.
  * Update copyright file to reflect clicked.wav being clicked.ogg.

 -- Joe Wreschnig <piman@debian.org>  Tue, 01 Jul 2003 02:45:43 -0500

pyddr (0.7.0-1) unstable; urgency=low

  * Remove stepfile.txt from the package.
  * New upstream release.

 -- Joe Wreschnig <piman@debian.org>  Wed, 04 Jun 2003 11:26:11 -0500

pyddr (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Joe Wreschnig <piman@debian.org>  Fri, 30 May 2003 12:12:01 -0500

pyddr (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Add docs/*.txt to debian/docs.

 -- Joe Wreschnig <piman@debian.org>  Thu, 29 May 2003 15:55:45 -0500

pyddr (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * Remove ddrmat-source (distributed separately upstream).

 -- Joe Wreschnig <piman@debian.org>  Sat, 17 May 2003 23:16:34 -0500

pyddr (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Include the new upstream documentation.
  * Standards-Version 3.5.9.

 -- Joe Wreschnig <piman@debian.org>  Mon, 28 Apr 2003 01:04:49 -0500

pyddr (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Use the upstream build system.

 -- Joe Wreschnig <piman@debian.org>  Wed, 09 Apr 2003 00:57:07 -0500

pyddr (0.6.0-2) unstable; urgency=low

  * No, step2dwi and stepshrink aren't the same script, no matter how
    much I want them to be.

 -- Joe Wreschnig <piman@debian.org>  Sun, 30 Mar 2003 12:16:46 -0600

pyddr (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Update the manual pages to reflect the changes in the tools.
  * Remove README.Debian.MODULE
  * Install a modutils file for ddrmat.o.
  * Remove bits of pyddr-script that have been moved to pyddr.py
  * Change 'PyDDR' to 'pyDDR' everywhere.
  * Turn on mixerclock by default, to see if it causes problems.


=== debian/control ===
Source: pydance
Section: games
Priority: optional
Maintainer: Joe Wreschnig <piman@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.25), zip, imagemagick
Standards-Version: 3.6.1

Package: pydance
Architecture: all
Depends: python (>= 2.3), python-pygame (>= 1.5.6), pydance-music
Suggests: ddrmat-source, mp32ogg, python-psyco
Description: dancing simulation game similar to the kind in arcades
 pydance is a dancing simulator, in which you must step on particular arrows
 on the floor in time with music playing in the background. pydance supports
 multiple difficulty levels for each song, background images and movies,
 lyrics, freeze arrows, BPM changes and stops, and many common modifiers like
 2x, drop, stealth, and so on.
 .
 pydance is interoperable with other dancing games, and can play the
 popular DWI, SM, and KSF formats. It is capable of playing games similar
 to Dance Dance Revolution, Pump It Up, ParaParaParadise, Dance ManiaX,
 and Technomotion. It also implements several unique modes. You can also
 make your own steps for songs in the .dance format.
 .
 Many Playstation to USB (or parallel) adapters are supported for play. If
 you lack a dance pad, you can also play with the keyboard.
 .
 This package does not contain any songs to play pydance with. For that,
 see the pydance-music package. You may also install your own separate
 data files (for example, if you own other proprietary dancing games).

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure:
	cp pydance.posix.cfg pydance.cfg
	cp Makefile.posix Makefile

clean:
	dh_testdir
	dh_testroot
	rm -f debian/pydance.xpm
	-make distclean
	dh_clean

build:
	convert -resize 32x32 icon.png debian/pydance.xpm

install: configure
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install-zip PREFIX=/usr DESTDIR=`pwd`/debian/pydance
	install -D -m 644 icon.png `pwd`/debian/pydance/usr/share/pixmaps/pydance.png
	install -D -m 644 debian/pydance.xpm `pwd`/debian/pydance/usr/share/pixmaps/pydance.xpm
	install -D -m 644 desktop.pydance `pwd`/debian/pydance/usr/share/applications/pydance.desktop

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pydance 1.1.0

=== debian/changelog ===
pydance (1.1.0-1) unstable; urgency=low

  * QA upload.
  * Fix "XS-P-V: current and Python 2.6 as default" using python version 'all'
    instead of 'current', thanks Sandro Tosi (Closes: #570575)
  * Bump Standards-Version to 3.8.4
  * Switch to Source Format 3.0 (quilt)
  * Correct build-dependencies: (debhelper, python(-dev))
  * Added missing dh_auto_clean
  * Added Homepage field
  * Added debian/watch
  * Don't install empty directory

  * New upstream release (Closes: #562810)
    + drop old patches which seem to be merged upstream:
      - fix-crash-on-invalid-input
      - fontfx-changes
    + keep patches: 
      - manpage-errors
      - desktop-encoding
    + new patch for Makefile nonsense

 -- Jan Hauke Rahm <jhr@debian.org>  Wed, 17 Mar 2010 11:01:42 +0100

pydance (1.0.3-5) unstable; urgency=low

  * QA upload.
  * Fix crashing when pydance encounters invalid data in .sm files by applying
    patch by Brandon <winterknight@nerdshack.com>. Thanks! (Closes: #434457)
  * Extract all patches from .diff.gz into quilt patch series.
  * Fix lintian warnings:
    - Add description-contains-duplicated-word override for "Dance Dance
      Revolution" in long description.
    - Use "Games/Action" instead of invalid "Games/Arcade" menu section
    - Patch pydance.desktop to avoid desktop-entry-contains-encoding-key
    - Add ${misc:Depends} to binary package Depends
  * Bump Standards-Version to 3.8.2.
  * Bump debhelper compatibility level to 7 and move to minimal debian/rules
    style.

 -- Chris Lamb <lamby@debian.org>  Sun, 02 Aug 2009 12:00:35 +0100

pydance (1.0.3-4) unstable; urgency=low

  * Apply patch from Luca Bruno to workaround Pygame bug. (Closes: #375651)
  * Set maintainer to Debian QA group.
  * Update for new new new new new new new new new Python policy.

 -- Joe Wreschnig <piman@debian.org>  Sun, 15 Oct 2006 13:06:20 -0700

pydance (1.0.3-3) unstable; urgency=low

  * Update for new Python policy, using python-support.

 -- Joe Wreschnig <piman@debian.org>  Wed, 14 Jun 2006 20:09:52 -0500

pydance (1.0.3-2) unstable; urgency=low

  * Rebuild as a non-native package.
  * rules: Install with 'install' rather than 'install-zip' target.
    * Remove Build-Depends on zip.
  * control: Tighten dependencies as required by Python policy.
    * Add Build-Depends on python.
  * pydance.6: Fix unscaped ' '.

 -- Joe Wreschnig <piman@debian.org>  Sun, 20 Nov 2005 01:42:35 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: pydance
 Section: games
 Priority: optional
-Maintainer: Joe Wreschnig <piman@debian.org>
-Build-Depends-Indep: debhelper (>= 4.1.25), zip, imagemagick
-Standards-Version: 3.6.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 7.0.50~), imagemagick, python-support (>= 0.2.3),
+ python (>= 2.3.5-7)
+Standards-Version: 3.8.4
+XS-Python-Version: all
+Homepage: http://www.icculus.org/pyddr/index.php
 
 Package: pydance
 Architecture: all
-Depends: python (>= 2.3), python-pygame (>= 1.5.6), pydance-music
+Depends: ${misc:Depends}, ${python:Depends}, python-pygame (>= 1.5.6),
+ pydance-music, ttf-vlgothic
 Suggests: ddrmat-source, mp32ogg, python-psyco
+XB-Python-Version: ${python:Versions}
 Description: dancing simulation game similar to the kind in arcades
  pydance is a dancing simulator, in which you must step on particular arrows
  on the floor in time with music playing in the background. pydance supports

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/pydance.xpm Makefile pydance.cfg

override_dh_auto_build:
	cp pydance.posix.cfg pydance.cfg
	cp Makefile.posix Makefile
	convert -resize 32x32 icon.png debian/pydance.xpm

override_dh_auto_install:
	make install PREFIX=/usr DESTDIR=$(CURDIR)/debian/pydance
	$(RM) usr/share/games/pydance/themes/font/VL-PGothic-Regular.ttf
	install -D -m 644 icon.png $(CURDIR)/debian/pydance/usr/share/pixmaps/pydance.png
	install -D -m 644 debian/pydance.xpm $(CURDIR)/debian/pydance/usr/share/pixmaps/pydance.xpm
	install -D -m 644 desktop.pydance $(CURDIR)/debian/pydance/usr/share/applications/pydance.desktop

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
#http://squirrelmail.org/plugin_list.php http://squirrelmail.org/plugins/compatibility.([\da-zA-Z\.]+).* debian
http://www.icculus.org/pyddr/get.php pydance-(.*)\.tar\.gz debian
